#!/usr/bin/perl

# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

my $thisCGI="notify.cgi";
require "utility.pl";
if ($remoteNotifyActivation){
    $username = $ARGV[0];
    $password = $ARGV[1];
    if (!($username eq $cdb_username && $password eq $cdb_password)){
	print qq[Error];exit;
    }
}    

# create a list of new books by ISBN #
$statement = qq[SELECT item_id, count(item_id)
		FROM item_inventory 
		WHERE (UNIX_TIMESTAMP() - UNIX_TIMESTAMP(created)) < 86400
		GROUP BY item_id];

($sth, $rv) = QueryDB($statement, "", $debug);
while (@row = $sth->fetchrow_array){
    ($itemId, $numItemId) = @row;
    $newItemId{$itemId} = $numItemId;
}

# create a list of new items for a specific course
$statement = qq[SELECT CI.course, count(CI.course)
		FROM item_inventory II, course_item CI
		WHERE (UNIX_TIMESTAMP() - UNIX_TIMESTAMP(II.created)) < 86400
		AND II.item_info_id = CI.item_info_id
		GROUP BY CI.course];
($sth, $rv) = QueryDB($statement, "", $debug);
while (@row = $sth->fetchrow_array){
    ($course, $numCourse) = @row;
    $newCourse{$course} = $numCourse;
}


# obtain the list of users that has a search agent active
$statement = qq[SELECT DISTINCT IW.user_id, UI.username, UI.first_name, UI.last_name, UI.email 
		FROM item_watch IW, user_info UI
		WHERE UI.user_id = IW.user_id];
($sth, $rv) = QueryDB($statement, "", $debug);
while (@row = $sth->fetchrow_array){
    my ($userId, $username, $firstName, $lastName, $email) = @row;

    $newItemFound=0;

    $message = qq[
name    : $firstName $lastName
username: $username
email   : $email

----------------------------------------------------------
This is the result of your search agent for books
entered within the last 24 hours
----------------------------------------------------------

# new   search        
books   type            query
------  --------        --------
];
    # get the list of items to check for this user.
    $statement = qq[SELECT search_type, search_term
		    FROM item_watch
		    WHERE user_id = '$userId'];
    ($sth1, $rv1) = QueryDB($statement, "", $debug);
    while (@row1 = $sth1->fetchrow_array){    
	($searchType, $searchTerm) = @row1;
	CData($searchTerm);
	if ($searchType eq "itemid" && $newItemId{$searchTerm} > 0){
	    $message .= qq[$newItemId{$searchTerm}\t$bookEquiv{$searchType}\t$searchTerm\n]; $newItemFound++;
	} elsif ($searchType eq "course" && $newCourse{$searchTerm} > 0){
	    $message .= qq[$newCourse{$searchTerm}\t$bookEquiv{$searchType}\t$searchTerm\n]; $newItemFound++;
	} elsif ($searchType ne "course" && $searchType ne "itemid") {
	    print qq[U:$username:U];
	    $statement = qq[SELECT count(IV.item_id) 
			    FROM item_info II, item_inventory IV 
			    WHERE II.item_info_id = IV.item_info_id
			    AND II.$dbFieldEquiv{$searchType} LIKE '%$searchTerm%'
			    AND (UNIX_TIMESTAMP() - UNIX_TIMESTAMP(IV.created)) < 86400];
	    
	    ($sth2, $rv2) = QueryDB($statement,"",$debug);
	    $numMatches = $sth2->fetchrow_array;
	    if ($numMatches > 0){
		$message .= qq[$numMatches\t$bookEquiv{$searchType}\t\t$searchTerm\n];
		$newItemFound++;
	    }
	}
	
    }
    
    $message .= qq[

---------------------------------------------------------
You only receive this mail when there are new books 
that match your search agent. 
---------------------------------------------------------
		   ];


    if ($newItemFound > 0){
	print $message;
	$toName = qq[$firstName $lastName];
	$toEmail = $email;
	
	$fromName = qq[TextSwap - Auto-Notify];
	$fromEmail = qq[autonotify\@yoursite.com];
	$subject = qq[Books have been entered that matches your search criteria];
	SendMail($toName, $toEmail, $fromName, $fromEmail, $subject, $message);
    }
    
}



