# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

# properties.pl holds the relevant properties for TextswapSS

####################################################
# UPDATE THESE VARIABLES BEFORE LAUNCHING YOUR SITE
#
####################################################

# your basic site information


$siteName = "Textswap";                 # the name of your site
$siteUrl = "http://www.textswap.com/";  # the main site url - INCLUDE the trailing slash
$domain = "";                           # xyz.com (exclude the www)

# for the automated confirmation email sent upon registration 
$registerName = "$siteName Registration";
$registerEmail = "register\@$domain";

$webmasterName = "webmaster\@$domain";
$webmasterEmail = "webmaster\@$domain";

$forgottenName = "$siteName";
$forgottenEmail = "forgotten\@$domain";

############################################################
# Locational Settings 
############################################################
#
# these settings allow users of other systems to correctly 
# identify the location of the seller. The users will then 
# be directed to your system to complete the contact.
#

$defaultArea    = "";         # ex. University of Pennsylvania 
$defaultCity    = "";         # Philadelphia
$defaultState   = "";         # Pennsylvania
$defaultCountry = "US";       # two-letter country code. 
$defaultWorld   = "Earth";    # for future use.. :> 

#
# if you don't know your two-letter country code, check below
# http://www.din.de/gremien/nas/nabd/iso3166ma/codlstp1/en_listp1.html
#
############################################################

############################################################
#  Text for the "About" page
#
############################################################
$aboutText = qq[
$siteName is a textbook exchange site that helps students buy and sell their
textbooks. We serve the $defaultArea in $defaultCity, $defaultState.
		];


###################################################
# Database properties
#
# We are using mySQL for the database. Obtain these settings from your
# adminstrator.
# 
###################################################
$dbDatabase="";         # name of the database
$dbUsername="";         # database username
$dbPassword="";         # database password
$dbHostName="";         # location of the database (localhost, sql.server.com)
$dbPort="3306";         # database port. It's usually "3306"

$mySqlVer = "3.22";     # 3.23 allows for a slight increase in performance

###################################################
# CDB settings
# 
# Central database settings. Register at http://www.emason.com/ to
# use the CDB. It automatically gets the book information as well as 
# searches through other TextswapSS implementations for inventory
#
####################################################
$cdb_site_id  = "";     # the site id of your CDB account - given to you
$cdb_username = "";     # CDB username - you set this yourself
$cdb_password = "";     # CDB password - you set this yourself

# remote notify activation - if you do not have access
# to a cron job or scheduling program, you can allow 
# for a remote activation. This will call notify.cgi to
# notify users when new books matching their agents are
# available
$remoteNotifyActivation = 0; # 0:false 1:true


###################################################
# General properties
#
###################################################


$default_homepage = "";  # ex. http://www.yoursite.com/cgi-bin/index.cgi

# FULL paths - enter the FULL path. Go to the directory, and type 'pwd'
# note: leave out the trailing slash. (the slash at the end)
$baseCGIdir  = "";  # /usr/home/yourusername/www/cgi-bin
$baseHTMLdir = "";  # /usr/home/yourusername/www

# Relative Paths - from your www directory - the bottom settings are typical
# leave out the trailing slash
$relImgDir = "/img"; 
$relCgiDir = "/cgi-bin";
$relHtmlDir = "/";

# mail settings. if you're using Windows, the smtpServer is required
# the unix setting uses sendmail.

$operatingSystem = "Win"; # Win or Unix
#$operatingSystem = "Unix"; # Win or Unix

if ($operatingSystem eq "Win"){
    $smtpServer = "relay.pair.com";
} else {
    # the location of sendmail
    $sendmailLocation = "/usr/sbin/sendmail";
}

# which server version are you using? This affects how cookies are set.
$serverType = "apache"; # apache or other

###################################################
# Misc Settings - optional to change
###################################################
# maximum content length for a post. 
$maxPostContentLength = (1024 * 15); # 15K

# default session timeout - length of a session. (in seconds)
$sessionTimeout = 3600; # 1 hour.

# default cookie expiration
#$cookieExpiration = "Fri, 19-Aug-2005 15:00:00 GMT";
# if empty = when user closes browser.
$cookiePath ="/";

###################################################
# Styles - Global
###################################################

# general font -> just $f to reduce typing -> used alot... 
$f  = "<font face=verdana size=2>";
$fn = "<font face=verdana size=1 color=#ffffff><b>";
$fe = "</font>";
$ft = "<font face=verdana size=2><b>"; # tab fonts

# fields font -> the field names that are on the left.
$f_fs = "<font face=verdana size=2><b>";
$f_fe = "</b></font>";

# error font
$ef = "<font face=verdana size=1>";

$global_error_ind = "<font color=#800000><b>*</b></font>";

$s_loc_bar_font_s = "<font color=#ffffff face=verdana size=2><b>";

$s_header_bgcolor = "bgcolor=#d6d6c1";
$s_header_font_s = "<font face=verdana size=2><b>";
$s_header_font_e = "</b></font>";

$s_field_bgcolor = "bgcolor=#eeeeee";
$s_field_font_s = "<font face=verdana size=-1><b>";
$s_field_font_e = "<font face=verdana><b>";

$s_inside_field_bgcolor = "bgcolor=#eeeee4";

$s_example_font_s = "<font face=verdana size=-2>";

#
# Header Control
#

# header width
$headerWidth = "636";
$bodyWidth = "640";

$s_tab_all_bgcolor = "bgcolor=#aaaacc"; # all users
$s_tab_reg_bgcolor = "bgcolor=#aaccaa"; # reg users
$s_above_tab_bgcolor = "bgcolor=#aaaaaa"; # the line above the tab

# tab control
$s_tab_width = "width=63"; # 9
$s_tab_spacing_width = "width=5"; # 7   
$s_tab_inter_spacing_width = "width=18"; # 1  

# Search Bar
$s_search_bar_bgcolor = "bgcolor=#D6D6C1";    
$s_search_bar_font_s = "<font face=verdana size=2><b>";
$s_search_bar_font_e = "</b></font>";

###################################################
# Key files
#
###################################################

$dbCGI = "$baseCGIdir/util_database.pl";
$formCGI = "$baseCGIdir/util_form.pl";
$cookieCGI = "$baseCGIdir/util_cookie.pl";
$loginCGI = "$baseCGIdir/util_login.pl";
$mailCGI = "$baseCGIdir/util_mail.pl";
$templateCGI = "$baseCGIdir/util_template.pl";
$notifyCGI = "$baseCGIdir/notify.cgi";
require "$templateCGI";


###################################################
# Often used options
###################################################

$condition = "5"; # default condition
%conditionSet = ("0","New",
		 "1","Pristine",
		 "3","Good",
		 "5","Average",
		 "7","Highlighted",
		 "9","Beat-Up",
		 "10","Contact-me");

%bookEquiv = ("course","Course",
	      "title","Title",
	      "itemid","ISBN#",
	      "aux1","Author",
	      "aux2","Edition");

%dbFieldEquiv = ("aux1", "aux_1",
		 "title", "title",
		 "author","aux_1",
		 "edition","aux_2",
		 "itemid","item_id",
		 "course","course",
		 "isbn","item_id");

%imSet = ("aol","AOL IM",
	  "icq","ICQ ",
	  "yahoo","Yahoo",
	  "msn","MSN");


1;




