# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

sub ReadFormData{
    my ($req_method, $ct, $cl);
    %formData=();
    $req_method = $ENV{'REQUEST_METHOD'};
    if ($req_method eq "POST"){

	# post method variables
	$ct = $ENV{"CONTENT_TYPE"};
	$cl = $ENV{"CONTENT_LENGTH"};
	
	# check if the user posted too much data
	if ($cl > $maxPostContentLength){
	    print qq[Content-type: text/html\n\n];
	    print qq[Error: Too much to handle.];
	    die qq[Error: $ENV{'REMOTE_ADDR'} submitted too much ($cl) content];
	}
	
	# put the data into a variable
	read(STDIN, $formData, $cl);
	
	# split it up into an array by the '&' character
	@formData = split(/&/, $formData);
	
	foreach $i (0 .. $#formData)
	{
	    # convert the plus chars to spaces
	    $formData[$i] =~ s/\+/ /g;
	
	    # convert the hex tokens to characters
	    $formData[$i] =~ s/%(..)/pack("c",hex($1))/ge;
	    
	    # split into name and value
	    ($name, $value) = split(/=/, $formData[$i],2);

	    # create the associative element
	    # is there another value already
	    if($formData{$name}) { $formData{$name} .= ", $value" }
	    else { $formData{$name} = $value; }
	}
    } elsif ($req_method eq "GET"){
	my ($gs, @gs);
	# GET method variables
	$gs = $ENV{'QUERY_STRING'};
	@gs = split(/&/,$gs);
	
	foreach $i (0 .. $#gs)
	{
	    # convert the plus chars to spaces
	    $gs[$i] =~ s/\+/ /g;
	    
	    # convert the hex tokens to characters
	    $gs[$i] =~ s/%(..)/pack("c",hex($1))/ge;
	    
	    # split into name and value
	    ($name, $value) = split(/=/,$gs[$i],2);
	    
	    # create the associative element
	    # is there another value already
	    if($formData{$name}) { $formData{$name} .= ", $value" }
	    else { $formData{$name} = $value; }
	}
    } else {
	print qq[Content-type: text/html \n\n ERROR: Unknown request method];
	die qq[Fatal Error: Unknown request method $req_method];
    }
}

1;
