# 
# Copyright (c) 2001 eMason.com. All rights reserved.
#

use CGI::Carp qw(fatalsToBrowser);

# standard required files
require "properties.pl";

require "$dbCGI";
require "$formCGI";
require "$cookieCGI";
require "$loginCGI";
require "$mailCGI";

# database interface required files
require "$baseCGIdir/db_item.pl";
require "$baseCGIdir/db_user.pl";

sub ErrorMsg{
    ($newError) = @_;
    push @errorMsg,$newError;
}

sub CheckErrors{
    if ($#errorMsg != -1){
	print qq[<br><table border=0><tr><td>$f<li>];
	print join('<li>',@errorMsg);
	print qq[<li><a href="javascript:history.back()">Go back to change your entry</a></td></tr></table>];
	Footer();
	exit;
    }
}


sub GetCourseOptions{
    my ($course) = @_;
    my($i, $courseOptions, $currentCourse);    
    my $courseTable = GetCourseList();

    for $i ( 0 .. $#{$courseTable} ){
	$currentCourse = $courseTable->[$i][0];
	if ($currentCourse ne ""){
	    if ($course ne "" && $currentCourse =~ /$course/i){
		$selected=" selected";} else {$selected="";}
	    $courseOptions .= "<option$selected>$currentCourse";
	}
    }
    
    return $courseOptions;
}

sub GetConditionOptions{
    my ($condition) = @_;
    my ($item, $s, $conditionOptions);
#
# takes care of the option set
#
    if ($condition eq ""){$condition = 5;}
    foreach $item (sort {$a <=> $b}keys %conditionSet){
	if ($condition eq $item){$s="selected";}else{$s="";} 
	$conditionOptions .=  qq[<option value=$item $s>$conditionSet{$item}];
    }

    return $conditionOptions;
}

sub GetImOptions{
    my ($im) = @_;
    my ($item, $s, $imOptions);
    foreach $item (sort keys %imSet){
	if ($im eq $item){$s="selected";}else{$s="";}
	$imOptions .= qq[<option value=$item $s>$imSet{$item}];
    }

    return $imOptions;
}


sub VerifyIsbn{
    my ($isbn) = @_;
    my (@isbnArray, $i, $sum);

    # just get the relevent data 
    $isbn =~ /([0-9x]+)/i;
    $isbn = $1;
    if (length($isbn) < 10){
	return 0;
    }

    # calculate check digit
    @isbnArray = split("",$isbn);
    $sum=0;
    for ($i=0;$i<=$#isbnArray;$i++){
	if ($isbnArray[$i] eq "X"){$isbnArray[$i]=10;}
	$sum += ($i+1) * $isbnArray[$i];
    } # sum %11 should be 0 if isbn is correct

    if ($sum%11 == 0) {
	return 1; # true
    } else {
	return 0; # false
    }
    return 0;
}


sub StripSlashN{
    for $i (0 .. $#_){
	$_[$i] =~ s/[\r\n\f]/-n-/g;  
    }
}

sub ReplaceSlashN{
    for $i (0 .. $#_){
	$_[$i] =~ s/-n-/\n/g;
    }
}

sub EncodeData{
    my($data) = @_;
    $data =~ s/\s/\%20/g;
#    $data =~ s/([^\w()'*~!.-])/sprintf '%%%02x', $1/eg;

    return $data;
}

sub DecodeData{
    my($data) = @_;
    $data =~ s/%([A-Fa-f\d]{2})/chr hex $1/eg;
    return $data;    
}

1;


